update-dlocatedb(8)

NAME
update-dlocatedb - generate text database of installed files for dlocate

SYNOPSIS
update-dlocatedb [option...]

DESCRIPTION
update-dlocatedb generates a plain text package contents listing from the files /var/lib/dpkg/info/*.list.

This program is usually called from cron.daily.

OPTIONS

-p  Update the packages list only.

-j  Update the files list only.

-b  Update both (default).

-h  This help message.

FILES

/etc/default/dlocate
    Configuration file with default options. Currently the only option is to enable/disable gzip compression of the dlocatedb file.

/var/lib/dpkg/info
    Directory containing dpkg file lists.

/var/lib/dlocate/dlocatedb
    Plain text listing of all files belonging to all packages (optionally compressed).

/var/lib/dlocate/dpkg-list
    Listing of all packages known to dpkg.

    This contains the reformatted output output of "dpkg -l". The file format is four fields separated by tabs:

      status<TAB>package-name<TAB>installed-version<TAB>synopsis

    The "installed-version" field may contain an architecture, e.g. ":arch".

SEE ALSO
dlocate(1).